/*
 * Copyright 2015 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

package fr.ill.ics.cameo.impl;

public class Response {

	private int value;
	private String message;
	
	public Response(int value, String message) {
		this.value = value;
		this.message = message;
	}
		
	public int getValue() {
		return value;
	}
	
	public String getMessage() {
		return message;
	}
	
	public boolean isSuccess() {
		return (value != -1);
	}

	@Override
	public String toString() {
		return "Response [value=" + value + ", message=" + message + "]";
	}
	
}